# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['pre_commit_matlab']

package_data = \
{'': ['*']}

entry_points = \
{'console_scripts': ['matlab-reflow-comments = '
                     'pre_commit_matlab.matlab_reflow_comments:main']}

setup_kwargs = {
    'name': 'pre-commit-matlab',
    'version': '1.0.0',
    'description': 'A Collection of pre-commit hooks for MATLAB',
    'long_description': "[![GitHub release](https://img.shields.io/github/release/sco1/pre-commit-matlab.svg)](https://github.com/sco1/pre-commit-matlab/releases/latest)\n[![pre-commit.ci status](https://results.pre-commit.ci/badge/github/sco1/pre-commit-matlab/main.svg)](https://results.pre-commit.ci/latest/github/sco1/pre-commit-matlab/main)\n[![lint-and-test](https://github.com/sco1/pre-commit-matlab/actions/workflows/lint_test.yml/badge.svg?branch=main)](https://github.com/sco1/pre-commit-matlab/actions/workflows/lint_test.yml)\n[![Code style: black](https://img.shields.io/badge/code%20style-black-black)](https://github.com/psf/black)\n# pre-commit-matlab\nA collection of [pre-commit](https://pre-commit.com/) hooks for MATLAB\n\nOk... it's just one hook so far but maybe someday there will be more 😃\n\n## Using pre-commit-matlab with pre-commit\nAdd this to your `.pre-commit-config.yaml`\n\n```yaml\n-   repo: https://github.com/sco1/pre-commit-matlab\n    rev: v1.0.0\n    hooks:\n    -   id: matlab-reflow-comments\n        args: [--line-length=100]\n```\n\n## Hooks\n### `matlab-reflow-comments`\nReflow comments (lines beginning with `%`) in MATLAB file(s) (`*.m`) to the specified line length.\n\nBlank comment lines are passed back into the reformatted source code.\n\n* Specify line length with `args: [--line-length=100]` (Default: `75`)\n* Ignore comments with inner indentation `args: [--ignore-indented=True]` (Default: `True`)\n\nIf `ignore_indented` is `True`, comments that contain inner indentation of at least two spaces\nis passed back into the reformatted source code as-is. Leading whitespace in the line is not\nconsidered.\n\nFor example:\n  ```matlab\n      % This is not indented\n  % This is not indented\n  %  This is indented\n  %    This is indented\n  ```\n",
    'author': 'sco1',
    'author_email': 'sco1.git@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/sco1/',
    'packages': packages,
    'package_data': package_data,
    'entry_points': entry_points,
    'python_requires': '>=3.6.2,<4.0.0',
}


setup(**setup_kwargs)
